# eric3.UI.PyProfileDialog

Module implementing a dialog to display profile data.

### Classes

ProfileListViewItem | Class implementing a custom QListViewItem to allow sorting on numeric values.
PyProfileDialog | Class implementing a dialog to display the results of a syntax check run.

### Functions

None

## ProfileListViewItem

Class implementing a custom QListViewItem to allow sorting on numeric values.

### Derived from

QListViewItem

### Methods

ProfileListViewItem | Constructor
compare | Public method used by QListView to compare the items.
getNC | Private method to get the value to compare on for the first column.

### ProfileListViewItem (Constructor)

ProfileListViewItem(*args)

Constructor

### ProfileListViewItem.compare

compare(itm, col, asc)

Public method used by QListView to compare the items.

### ProfileListViewItem.getNC

getNC(itm)

Private method to get the value to compare on for the first column.

itm
  item to operate on (ProfileListViewItem)

Up

## PyProfileDialog

Class implementing a dialog to display the results of a syntax check run.

### Derived from

PyProfileForm

### Methods

PyProfileDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the action finished or the user pressed the button.
handleContextMenu | Private slot to show the context menu of the listviews.
handleEraseAll | Private slot to handle the Erase All context menu action.
handleEraseProfile | Private slot to handle the Erase Profile context menu action.
handleEraseTiming | Private slot to handle the Erase Timing context menu action.
handleFilter | Private slot to handle the Exclude/Include Python Library context menu action.
populateListViews | Private method used to populate the listviews.
start | Public slot to start the calculation of the profile data.
unfinish | Private slot called to revert the effects of the finish slot.

### PyProfileDialog (Constructor)

PyProfileDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### PyProfileDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### PyProfileDialog.finish

finish()

Private slot called when the action finished or the user pressed the button.

### PyProfileDialog.handleContextMenu

handleContextMenu(itm, pos, col)

Private slot to show the context menu of the listviews.

itm
  the item under the mouse cursor (QListViewItem)
pos
  global position of the context menu (QPoint)
col
  column of the mouse cursor (int)

### PyProfileDialog.handleEraseAll

handleEraseAll()

Private slot to handle the Erase All context menu action.

### PyProfileDialog.handleEraseProfile

handleEraseProfile()

Private slot to handle the Erase Profile context menu action.

### PyProfileDialog.handleEraseTiming

handleEraseTiming()

Private slot to handle the Erase Timing context menu action.

### PyProfileDialog.handleFilter

handleFilter()

Private slot to handle the Exclude/Include Python Library context menu action.

### PyProfileDialog.populateListViews

populateListViews(exclude=0)

Private method used to populate the listviews.

exclude
  flag indicating whether files residing in the Python library should be excluded

### PyProfileDialog.start

start(pfn, fn=None)

Public slot to start the calculation of the profile data.

pfn
  basename of the profiling file (string)
fn
  file to display the profiling data for (string)

### PyProfileDialog.unfinish

unfinish()

Private slot called to revert the effects of the finish slot.

Up